## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/documents/{id}
cURL

``` 
GET https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLfwKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

{
  "_links": {
    "self": {
      "href": "https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"
    }
  },
  "id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
  "status": "pending",
  "type": "passport",
  "created": "2015-09-29T21:42:16.000Z",
  "documentVerificationStatus": "pending"
}
```

```js
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var documentUrl =
  "https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc";

dwolla.get(documentUrl).then((res) => res.body.type); // => "passport"
```

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
document_url = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'

document = app_token.get(document_url)
document.body['type'] # => 'passport'
```

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$documentUrl = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc';

$documentsApi = new DwollaSwagger\DocumentsApi($apiClient);

$document = $documentsApi->getDocument($documentUrl);
$document->type; # => "passport"
?>
```

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
document_url = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'

document = app_token.get document_url
document.type # => "passport"
```

200

403

404

```json
{
  "_links": {
    "self": {
      "href": "https://api.dwolla.com",
      "type": "application/vnd.dwolla.v1.hal+json",
      "resource-type": "resource-type"
    }
  },
  "id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
  "status": "reviewed",
  "type": "passport",
  "created": "2015-09-29T21:42:16.000Z",
  "documentVerificationStatus": "rejected",
  "failureReason": "ScanDobMismatch",
  "allFailureReasons": [
    {
      "reason": "ScanDobMismatch",
      "description": "Scan DOB does not match DOB on account"
    }
  ]
}
```

```json
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
```

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

#### Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

Accept

enum<string>

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

id

string

required

Document unique identifier

#### Response

200

application/vnd.dwolla.v1.hal+json

successful operation

Identity verification document for a customer or beneficial owner

_links

object

required

Showchild attributes

id

string

required

Unique identifier for the document

Example:

`"56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"`

status

enum<string>

required

Current status of the document upload

Available options:

`pending`,

`reviewed`

Example:

`"reviewed"`

type

enum<string>

required

Type of identity document uploaded

Available options:

`passport`,

`license`,

`idCard`,

`other`

Example:

`"passport"`

created

string<date-time>

required

ISO-8601 timestamp when the document was uploaded

Example:

`"2015-09-29T21:42:16.000Z"`

documentVerificationStatus

enum<string>

required

Verification status of the document after review

Available options:

`pending`,

`accepted`,

`rejected`

Example:

`"rejected"`

failureReason

string

Primary reason why document verification failed (if rejected)

Example:

`"ScanDobMismatch"`

allFailureReasons

object[]

Complete list of all failure reasons if document verification was rejected.
